<%@ page language="java" errorPage="error.jsp" contentType="text/html;charset=UTF-8"%>
<html>
<head><title>Stateless Personalization Demo </title></head>
<body bgcolor="#FFFFFF">
<h2>Stateless Personalization Demo- Setup Page </h2>
<p><B>Please enter RE attributes appropriate for your Oracle Personalization installation before you try the above demo</B></p>
<% 
   String REName =request.getParameter("REName");
   if (REName==null) {
     REName="RE";  // default RE name
   }
   String REURL=request.getParameter("REURL");
   if (REURL==null) {
     REURL="jdbc:oracle:thin:@localhost:1521:orcl";  // default connection str
   }
   String RESchema=request.getParameter("RESchema");
   if (RESchema==null) {
     RESchema="RE";  // default RE schema
   }
   String REPassword=request.getParameter("REPassword");
   if (REPassword==null) {
     REPassword="REPW";  // default RE password
   }
   String userType=request.getParameter("userType");
   if (userType==null) {
     userType="customer";  // default user type in this demo
   }
   String userID=request.getParameter("userID");
   if (userID==null) {
     userID="1";  // default userID
   }
%>
<FORM METHOD=get>
<p><LABEL>REName <INPUT TYPE="text" NAME="REName" SIZE=20 value="<%=REName%>" > </LABEL> </p>
<p><LABEL>REURL <INPUT TYPE="text" NAME="REURL" SIZE=40 value="<%=REURL%>" > </LABEL></p>
<p><LABEL>RESchema <INPUT TYPE="text" NAME="RESchema" SIZE=20 value="<%=RESchema%>" > </LABEL></p>
<p><LABEL>REPassword <INPUT TYPE="password" NAME="REPassword" SIZE=20 value="<%=REPassword%>" > </LABEL></p>
<p><LABEL>userType <select name="userType">
<option value="customer">customer</option>
<option value="visitor">visitor</option>
</select></LABEL></p>
<p><LABEL>userID <INPUT TYPE="text" NAME="userID" SIZE=32 value="<%=userID%>" > </LABEL></p>
<INPUT TYPE="submit" VALUE="Set attributes for RE session" >
</FORM>

